SDL_strcmp(3)

NAME
SDL_strcmp - Compare two null-terminated UTF-8 strings.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_strcmp(const char *str1, const char *str2);

DESCRIPTION
Due to the nature of UTF-8 encoding, this will work with Unicode strings, since effectively this function just compares bytes until it hits a null-terminating character. Also due to the nature of UTF-8, this can be used with SDL_qsort () to put strings in (roughly) alphabetical order.

FUNCTION PARAMETERS

str1
    the first string to compare. NULL is not permitted!

str2
    the second string to compare. NULL is not permitted!

RETURN VALUE
Returns less than zero if str1 is "less than" str2, greater than zero if str1 is "greater than" str2, and zero if the strings match exactly.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.